@import 'utility/constants';
@import 'utility/colors';
@import 'utility/responsive';

:host {
  position: fixed;
  top: 0;
  left: 0;

  width: 100%;
  height: $header-height;

  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;

  z-index: $topbar-z-index;

  box-shadow: 0 0 1rem rgba(0, 0, 0, 0.1);

  padding: 0.2rem 0.2rem 1rem;
  transition: padding 0.2s ease-in-out;

  background-color: $accent-l1;

  .topbar-left {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    gap: 0.5rem;
    height: 100%;

    .topbar-title {
      font-weight: 600;
      font-size: 1.25rem;

      color: $primary;

      @supports (background-clip: text) or (-webkit-background-clip: text) {
        background-image: url('~/../../../../../assets/svg/title-bg.svg');
        background-size: 110% auto;
        background-position: center;
        color: transparent;
        -webkit-background-clip: text;
        background-clip: text;
      }
    }
  }

  .topbar-right {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
    gap: 0.5rem;
    height: 100%;

    .menu-btn {
      display: inline-flex;
    }
  }
}
